--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: To create a parser that repeats self for unlimited times, with the pattern recognized by <em>delim</em> as separator that separates each occurrence. self has to match for at least once. Return values of self are collected in an array.
full_name: RParsec::Parser#separated1
is_singleton: false
name: separated1
params: (delim)
visibility: public
